# Kubernetes Community Group Annual Reports

This document outlines the bootstrap process for an annual reporting and
communication structure for Special Interest Groups (SIGs), Working Groups (WGs)
, User Groups (UGs), and Committees
All policy updates will be in their respective [SIG], [WG], and [UG]
 governance docs as well as the general [governance] guidance.

## Goals
- Paint a complete project health picture for all of our community groups
- Create a feedback loop between Chairs, Tech Leads, Subproject Owners, WG and
UG Organizers, the community groups at large, and the Steering
Committee to move the project forward  
- Encourage dialogue about the wellbeing of the projects contributors and offer
suggested guidance and coaching
- Promote healthy, active, engaged community groups  
- Understand and have context before issues arise and celebrate wins where they  
should be highlighted  
- Help reshape project priorities at a high level

## Reporting Process  

Chairs and Organizers are responsible for compiling a yearly public report but
may be completed with the help of members of that group. Chairs and Organizers
ensure that reports are complete, accurate, and submitted to the Steering
Committee.

### 2020:
Due to playing catch up with 40 community groups, we will have a slightly
modified timeline bootstrap process this year and then will follow the process
outlined in 2021. This means that Chairs will be reporting twice in n months and
not a year. A yearly cadence will be followed post 2021.

TODO outline time line for 2020  

### 2021 and on:
1. Chairs create one report and send it to steering-private@kubernetes.io for
review; reports are due at the end of February and will use a template with the
questions listed below TODO: to be created
2. Steering Committee will assign one member as a liaison to each community group before the
reports are submitted so there is an established point of contact for any help or
guidance needed
3. The March SIG Chairs and Tech Leads meetings will be used as follow up for
the community groups that have questions from/to Steering and report
retrospectives
4. Steering will schedule private meetings to follow up on anything denoted as
a private matter on the report; reports are not made public until all private
comments have been addressed
5. Once reviewed and follow ups are completed, Steering will ask the chair(s)
of the group to submit a pull request to that groups documentation in the
community repo.
6. The Steering Committee liaison will work directly with groups that have follow
up items and update Steering during regular monthly meetings

### Tips for Chairs and Working Group Organizers:      
- Work together with your groups roles and community members to complete;
suggestion: schedule a dedicated meeting to go over project health with the
goal of compiling this report  
- All questions are require a response. If something isn't applicable, n/a is
fine.
- This report will be considered private until Steering reviews and follows up
with next steps of a pull request; however, please include any and all explicit
private matters between [private] tags [/private]. We will absolutely not
release information between private tags. If Chairs and/or Organizers would like
 to do the *Your Role* section individually and privately, please send to us at
 steering-private@kubernetes.io    
- [insert a google doc template here for the questions] //TODO

## Questions for report:

//A copy of these questions will be provided in a template

#### You and your role:  
When did you become a chair and do you enjoy the role?  
What do you find challenging?  
Do you have goals for the group?  
Do you want to continue or find a replacement? If you feel that you aren’t ready
 to pass the baton, what would you like to accomplish before you do?  
Is there something we can provide that would better support you?  
Do you have feedback for Steering? Suggestions for what we should work on?  

#### Special Interest Groups:
- How are you doing with operational tasks in [yourgroup]-governance.md?
- Is your README accurate? have a CONTRIBUTING.md file?
- All subprojects correctly mapped and listed in sigs.yaml?
- How does the group get updates, reports, or feedback from subprojects? Are
there any that are being retired?
- Are OWNERs files up to date?
- Tell us about your meetings: large/small, active/quiet? learnings? up to date
on the Kubernetes community YouTube under a community group playlist? Meeting
notes up to date?
- When was your last public community update? (provide link)

##### Membership
- Are all listed SIG leaders (chairs, tech leads, and subproject owners) active?
- How do you measure membership? By mailing list members, OWNERs, or something
else?
- How does the group measure reviewer and approver bandwidth? Do you need help
in any area now? What are you doing about it?
- Is there a healthy onboarding and growth path for contributors in your SIG?
What are some activities that the group does to encourage this? What programs
are you participating in to grow contributors throughout the contributor ladder?
- What programs do you participate in for new contributors?
- Does the group have contributors from multiple companies/affiliations?

##### Current initiatives and project health
- What are initiatives that should be highlighted, lauded, shout outs, that
your group is proud of? Currently underway? What are some of the longer tail
projects that your group is working on?
- What areas does the group need the most help with?
- Whats the average open days of a PR and Issue in your group? / what metrics does
 your group care about and/or measure?   

### Working Groups:
Working Group Organizers are responsible for submitting this report but may
delegate to members to curate  
- What was the initial mission of the group and if it's changed, how?
- What’s the current roadmap until completion?
- Have you produced any artifacts, reports, white papers to date?
- Is the group active? healthy? contributors from multiple companies and/or end
user companies?
- Is everything in your readme accurate? posting meetings on youtube?
- Do you have regular check-ins with your sponsoring SIGs?


### Thanks   
Thanks to the Apache Software Foundation for their open guidance on PMC reporting
https://www.apache.org/foundation/board/reporting


[SIG]: https://git.k8s.io/community/committee-steering/governance/sig-governance.md
[WG]: https://git.k8s.io/community/committee-steering/governance/wg-governance.md
[UG]: https://git.k8s.io/community/committee-steering/governance/ug-governance.md
[governance]: https://git.k8s.io/community/governance.md
